{% extends 'base.html.twig' %}
{% block title %}Reservations{% endblock %}
{% block page %}Reservations{% endblock %}
{% block body %}
    <div class="content">
    <div class="container-fluid">
        <div class="row">
            <div class="col-md-12">
                <div class="card">
                    <div class="card-header card-header-primary">
                        <h4 class="card-title ">Reservations</h4>
                        <p class="card-category">List of reservations</p>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive table-striped">
                            <table class="table">
                                <thead class=" text-primary">
                                <th>ID</th>
                                <th>Node</th>
                                <th>State</th>
                                <th>From</th>
                                <th>To</th>
                                <th>Size</th>
                                <th>Note</th>
                                <th>Customer details</th>
                                <th>Created at</th>
                                <th>Updated at</th>
                                <th>Updated by</th>
                                <th>Created by</th>
                                <th class="text-center">Actions</th>
                                </thead>
                                <tbody>
                                {% for reservation in reservations %}
                                    <tr>
                                        <td>{{ reservation.id }}</td>
                                        <td>{{ reservation.node.name }}</td>
                                        <td>{{ reservation.status|StatusToText }} </td>
                                        <td>{{ reservation.dateFrom|date("Y-m-d H:i:s")  }} </td>
                                        <td>{{ reservation.dateTo|date("Y-m-d H:i:s")  }} </td>
                                        <td>{{ reservation.size }} </td>
                                        <td>{{ reservation.note }} </td>
                                        <td>{{ reservation.customerDetails }} </td>
                                        <td>{{ reservation.createdAt|date("Y-m-d H:i:s")  }} </td>
                                        <td>{{ reservation.updatedAt|date("Y-m-d H:i:s")  }} </td>
                                        <td>{{ reservation.updatedBy }} </td>
                                        <td>{{ reservation.createdBy }}</td>
                                        <td class="text-center">
                                            <a class="reservation-edit" data-id="{{ reservation.id }}" href="#" data-toggle="modal" data-target="#modal">
                                                <i class="material-icons">edit</i>
                                            </a>
                                        </td>
                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
        </div>{% endblock %}
    {% block javascripts %}
        <script type="text/javascript">
            $(function() {
                const $modal = $('#modal');
                const $modalBody = $modal.find('.modal-body');
                const $modalTitle = $modal.find('.modal-title');
                $modalTitle.html('Reservation edit')
                $('.reservation-edit').on('click', function() {
                    event.preventDefault()
                    const id = $(event.currentTarget).data('id')
                    $.get('/admin/reservation/'+id+'/edit')
                        .done((response) => {
                            $modalBody.html(response)
                            $modal.modal('show')
                        })
                })
            });
        </script>
{% endblock %}
